Add security question

Adds a new security question to the Tenant's configuration.

POST
/v2/manage/security-questions

Adds a new security question to the Tenant's configuration.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

question*string

The security question text.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/security-questions" \  -H "Content-Type: application/json" \  -d '{    "question": "What is your favorite color?"  }'
{
  "QuestionId": "1234567890abcdef1234567890abcdef",
  "Question": "What is your mother's maiden name?"
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "ErrorCode": 7948,
  "Message": "Security question already exists",
  "Description": "A similar security question has already been configured."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}